Bug 83396 - Updates to net/openh323 and devel/pwlib...
Summary: Updates to net/openh323 and devel/pwlib...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexander Leidinger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-13 18:40 UTC by Steve Ames
Modified: 2006-02-05 13:43 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Ames 2005-07-13 18:40:24 UTC
	The current versions of net/openh323 and devel/pwlib in the
	ports tree are fairly old. I recommend that they be repocopied
	to versioned portnames and current stable versions brought into 
	the ports tree. This will allow other packages to make use of
	newer openh323/pwlib bugfixes and features.

Fix: 

netchild@FreeBSD.org has offered to handle the post-repo-copy work.

	Patches and repo-copy should work like this:

	Repo-Copy:
		devel/pwlib	->	devel/pwlib152
		net/openh323	->	net/openh323-112

	Apply http://steve.energistic.com/h323-ports/pwlib-playnice.patch
		Changes Makefile to use AUTOCONF 259 (to be consistent with
		net/openh323 which already uses 259)

		Modifies include path so the port will compile/link even
		with other versions of pwlib installed on the system

	Apply http://steve.energistic.com/h323-ports/oh323-dependants.patch
		modify all ports that have devel/pwlib and/or net/openh323
		as a dependancy to use devel/pwlib152 and net/openh323-112
		instead. This should cause all ports to work exactly as they
		do now. Some will require work to work properly with the
		newer versions of openh323 and pwlib

	Apply http://steve.energistic.com/h323-ports/openh323-112-115.patch
		Upgrades net/openh323 to version 1.15.3
		(patch based on Alexander Leidinger's port)

	Apply http://steve.energistic.com/h323-ports/pwlib-152-184.patch
		Upgrades devel/pwlib to 1.8.4
		(patch based on Alexander Leidinger's port)

	At the end of this sequence no ports will actually utilize the
	new net/openh323 or devel/pwlib. The platform will be there so
	that ports (such as net/gnomemeeting or net/gatekeeper) can be
	updated to use the newer versions.

	There are a couple of small BSD related bugs in these newer versions
	(way less than the old ones though) that are scheduled to be fixed
	in a maintenance release in the next several weeks.
How-To-Repeat: 	N/A
Comment 1 Koop Mast freebsd_committer 2005-07-13 19:48:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kwm

Grab I will work on this with the submitter and netchild@
Comment 2 Alexander Leidinger freebsd_committer 2006-01-31 19:56:16 UTC
Responsible Changed
From-To: kwm->netchild

Declare a timeout on this and take over.
Comment 3 Alexander Leidinger freebsd_committer 2006-02-05 13:43:22 UTC
State Changed
From-To: open->closed

Committed. Thanks.